Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class JspLineMap

    java.lang.Object
      |
      +--org.apache.jasper.compiler.JspLineMap

public class JspLineMap
extends java.lang.Object

Data structure to store the line and file map information. The line map has a mapping of which jsp lines correspond to the generated servlet. The file map has all of jsp files that are included in the servlet.

Author:
  Justyna Horwat

Constructor Summary
`JspLineMap()`

Method Summary
`void` | `add(JspLineMapItem lineMapItem)` Add an item to the line map data structure
`int` | `addFileName(java.lang.String fileName)` Add a file to the file map data structure.
`void` | `clear()`
`JspLineMapItem` | `get(int index)` Get an item to the line map data structure
`java.lang.String` | `getFileName(int index)` Get a file from the file map data structure.
`int` | `size()` Get line map data structure size
`java.lang.String` | `toString()` Convert data structures to a string

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JspLineMap

    public JspLineMap()

Method Detail

### add

    public void add(JspLineMapItem lineMapItem)

  Add an item to the line map data structure

### get

    public JspLineMapItem get(int index)

  Get an item to the line map data structure

### size

    public int size()

  Get line map data structure size

### clear

    public void clear()

### addFileName

    public int addFileName(java.lang.String fileName)

  Add a file to the file map data structure. The index is stored in the line map to associate a file with the line of code.

### getFileName

    public java.lang.String getFileName(int index)

  Get a file from the file map data structure. Use the index to grab the right file name.

### toString

    public java.lang.String toString()

  Convert data structures to a string
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.